searchNodes=[{"doc":"","ref":"TzExtra.html","title":"TzExtra","type":"module"},{"doc":"","ref":"TzExtra.html#countries/0","title":"TzExtra.countries/0","type":"function"},{"doc":"","ref":"TzExtra.html#countries_time_zones/0","title":"TzExtra.countries_time_zones/0","type":"function"},{"doc":"","ref":"TzExtra.html#countries_time_zones/1","title":"TzExtra.countries_time_zones/1","type":"function"},{"doc":"","ref":"TzExtra.html#version/0","title":"TzExtra.version/0","type":"function"},{"doc":"TzExtra tz_extra provides a few utilities to work with time zones. TzExtra.countries_time_zones/0 Returns a list of time zone data by country. The data includes: the country and time zone; the current UTC and DST offsets observed; the links (other city names) linking to the time zone; the zone abbreviation; the coordinates. Example iex&gt; TzExtra.countries_time_zones() |&gt; Enum.at(5) %{ coordinates: &quot;+0627+00324&quot;, country: %{code: &quot;AO&quot;, name: &quot;Angola&quot;}, dst_offset: 3600, dst_zone_abbr: &quot;WAT&quot;, links: [ &quot;Bangui&quot;, &quot;Brazzaville&quot;, &quot;Douala&quot;, &quot;Kinshasa&quot;, &quot;Libreville&quot;, &quot;Luanda&quot;, &quot;Malabo&quot;, &quot;Niamey&quot;, &quot;Porto-Novo&quot; ], pretty_dst_offset: &quot;+01:00&quot;, pretty_utc_offset: &quot;+01:00&quot;, time_zone: &quot;Africa/Lagos&quot;, utc_offset: 3600, zone_abbr: &quot;WAT&quot; } Note that a time zone may be observed by multiple countries. For example, the tz database version 2019c lists 10 countries observing the time zone Africa/Lagos; this will result in 10 map entries for that time zone. You may pass the :with_utc option set to true, in order to add the UTC time zone to the list; the following map is then added: %{ coordinates: nil, country: nil, dst_offset: 0, dst_zone_abbr: &quot;UTC&quot;, links: [], pretty_dst_offset: &quot;+00:00&quot;, pretty_utc_offset: &quot;+00:00&quot;, time_zone: &quot;UTC&quot;, utc_offset: 0, zone_abbr: &quot;UTC&quot; } TzExtra.countries/0 iex&gt; TzExtra.countries() |&gt; Enum.take(5) [ %{code: &quot;AF&quot;, name: &quot;Afghanistan&quot;}, %{code: &quot;AL&quot;, name: &quot;Albania&quot;}, %{code: &quot;DZ&quot;, name: &quot;Algeria&quot;}, %{code: &quot;AD&quot;, name: &quot;Andorra&quot;}, %{code: &quot;AO&quot;, name: &quot;Angola&quot;} ] Automatic time zone data updates tz_extra can watch for IANA time zone database updates and automatically recompile the time zone data. To enable automatic updates, add TzExtra.UpdatePeriodically as a child in your supervisor: {TzExtra.UpdatePeriodically, []} TzExtra.UpdatePeriodically also triggers tz&#39;s time zone recompilation; so you don&#39;t need to add Tz.UpdatePeriodically if you added TzExtra.UpdatePeriodically in your supervisor. Lastly, add the http client mint and ssl certificate store castore into your mix.exs file: defp deps do [ {:castore, &quot;~&gt; 0.1.5&quot;}, {:mint, &quot;~&gt; 1.0&quot;}, {:tz_extra, &quot;~&gt; 0.6.0&quot;} ] end","ref":"readme.html","title":"TzExtra","type":"extras"},{"doc":"Add tz_extra for Elixir as a dependency in your mix.exs file: def deps do [ {:tz_extra, &quot;~&gt; 0.6.0&quot;} ] end","ref":"readme.html#installation","title":"TzExtra - Installation","type":"extras"},{"doc":"HexDocs documentation can be found at https://hexdocs.pm/tz_extra.","ref":"readme.html#hexdocs","title":"TzExtra - HexDocs","type":"extras"}]